import {CommonRoutesConfig} from '../../common/common.routes.config';
import express from 'express';

export class GeneralInfoRoutes extends CommonRoutesConfig {
    constructor(app: express.Application) {
        super(app, 'GeneralInfoRoutes');
    }

    configureRoutes() {
        this.app.route(`/dhbw-service/generalInfo`)
            .get((req: express.Request, res: express.Response) => {
                res.status(200).send(`GET generalInfo v2`);
            })
            .post((req: express.Request, res: express.Response) => {
                res.status(200).send(`POST generalInfo v2`);
            });

        return this.app;
    }
}
